# getDependencies

abstract fun getDependencies(): Set<out DependencyResult>

Returns the dependencies of this component. Includes resolved and unresolved dependencies (if any).

The elements of the returned collection are declared as DependencyResult, however the dependency instances will also implement one of the following interfaces:

- ResolvedDependencyResult for dependencies which were successfully resolved.
- UnresolvedDependencyResult for dependencies which could not be resolved for some reason.

#### Return

the dependencies of this component